## libzeemote-conf 1.0.1-maemo1

=== Makefile ===
#
# Copyright (C) 2009 Till Harbaum <till@harbaum.org>.
#
# This file is part of zeemote-conf.
#
# zeemote-conf is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# zeemote-conf is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with zeemote-conf.  If not, see <http://www.gnu.org/licenses/>.
#

all:
	cd lib && make
	cd src && make	
	cd data && make

install:
	cd lib && make install
	cd src && make install
	cd data && make install

clean:
	cd lib && make clean
	cd src && make clean
	cd data && make clean

=== lib/Makefile ===
#
# Copyright (C) 2009 Till Harbaum <till@harbaum.org>.
#
# This file is part of zeemote-conf.
#
# zeemote-conf is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# zeemote-conf is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with zeemote-conf.  If not, see <http://www.gnu.org/licenses/>.
#

MAJOR = 1
MINOR = 0

LIB = libzeemote-conf
STLIB = $(LIB).a
SHLIB = $(LIB).so
HDRDIR = /usr/include
LIBDIR = /usr/lib

CFLAGS = -O2 -c -Wall -I../include `pkg-config --cflags gconf-2.0`
OBJS = zeemote-conf.o

all: static shared

.c.o:
	$(CC) $(INCS) $(CFLAGS) -c -o$@ $<

static: $(STLIB)
shared: $(SHLIB).$(MAJOR).$(MINOR)

$(STLIB): $(OBJS)
	rm -f $(STLIB)	
	ar rcv $(STLIB) $(OBJS)
	-ranlib $(STLIB)

$(SHLIB).$(MAJOR).$(MINOR): $(OBJS)
	rm -f $(SHLIB)
	gcc -shared -Wl,-soname,$(SHLIB).$(MAJOR) -o $(SHLIB).$(MAJOR).$(MINOR) $(OBJS)
	rm -f $(SHLIB) $(SHLIB).$(MAJOR)
	ln -s $(SHLIB).$(MAJOR).$(MINOR) $(SHLIB).$(MAJOR)
	ln -s $(SHLIB).$(MAJOR) $(SHLIB)

zeemote-conf.o: ../include/zeemote-conf.h

install: $(STLIB) $(SHLIB).$(MAJOR).$(MINOR)
	install -d $(DESTDIR)$(LIBDIR)
	install $(STLIB) $(SHLIB).$(MAJOR).$(MINOR) $(DESTDIR)$(LIBDIR)
	rm -f $(DESTDIR)$(LIBDIR)/$(SHLIB)
	ln -s $(SHLIB).$(MAJOR) $(DESTDIR)$(LIBDIR)/$(SHLIB)
	rm -f $(DESTDIR)$(LIBDIR)/$(SHLIB).$(MAJOR)
	ln -s $(SHLIB).$(MAJOR).$(MINOR) $(DESTDIR)$(LIBDIR)/$(SHLIB).$(MAJOR)
	install -d $(DESTDIR)$(HDRDIR)
	install ../include/zeemote-conf.h $(DESTDIR)$(HDRDIR)

clean:
	rm -f *.[oa] *~ $(SHLIB) $(STLIB)

=== src/Makefile ===
#
# Copyright (C) 2009 Till Harbaum <till@harbaum.org>.
#
# This file is part of zeemote-conf.
#
# zeemote-conf is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# zeemote-conf is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with zeemote-conf.  If not, see <http://www.gnu.org/licenses/>.
#

APP = zeemote-conf
PREFIX = /usr
PKGS = gtk+-2.0 gconf-2.0 bluez gthread-2.0 hildon-1
CFLAGS = -DHILDON -I../include `pkg-config --cflags $(PKGS)` -DAPP=\"$(APP)\" -O2
LDFLAGS = `pkg-config --libs $(PKGS)` -L../lib -lzeemote-conf -lzeemote -pthread 
OBJS = $(APP).o

all: lib$(APP).so

%.o: %.c
	gcc $(CFLAGS) -c -o $@ $< 

lib$(APP).so: $(OBJS)
	$(CC) -shared -o $@ $(OBJS) $(LDFLAGS)

install: lib$(APP).so
	install -d $(DESTDIR)$(PREFIX)/lib/hildon-control-panel
	install lib$(APP).so $(DESTDIR)$(PREFIX)/lib/hildon-control-panel

clean:
	rm -f *.o *~ lib$(APP).so $(APP)

## libzeemote-conf 1.0-maemo1

=== debian/changelog ===
libzeemote-conf (1.0-maemo1) unstable; urgency=low

  * Initial release

 -- Till Harbaum <Till@Harbaum.org>  Mon, 4 May 2007 19:35:42 +0100

=== debian/control ===
Source: libzeemote-conf
Section: user/games
Priority: extra
Maintainer: Till Harbaum <Till@Harbaum.org>
Build-Depends: debhelper (>= 5), libgtk2.0-dev, libzeemote-dev, libhildon1-dev, libosso-dev, libgconf2-dev, libbluetooth2-dev | libbluetooth3-dev
Standards-Version: 3.7.2

Package: libzeemote-conf
Architecture: any
Depends: ${shlibs:Depends}
Description: Control panel for Zeemote
  This control panel allows you to configure and test
  your zeemote bluetooth joysticks.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaEAYAAAD52pCNAAAABmJLR0T/////
 //8JWPfcAAAACXBIWXMAAAKAAAACgAFbTV9wAAAACXZwQWcAAAAaAAAAGgAH
 smYvAAAFb0lEQVRYw9WYe0zTVxTHT8ERROojg1njY8EEBEXrlImOsHshYDCR
 MWGL4sw0izNxSWeiCX8t3mucf2jEqMmIjyxjmVNnMDpZ4mPT3+10Pqal0FJK
 mwiIZuVhwbQ8S+nZH7/+aig2UFfFnX++TXpz7vncx7nn/ODhsavkKlktFMU8
 H/MxFUdERAR4Y9UfZ9tZIxpxKQz90Id9OBmiEmpTRapopO3Jm/Sb9KeIkRWo
 ClRX0FRcCZWwBXyJHvBADEyUtbTdgBuQC0o8xltynNc2ZOmz9H+R9uQ6qAMt
 YD5y5CoeIG5o28P2sN28t01FVdQneWcDACDWbkjgCbyTWVMOs8NsB3960IpW
 TIXBTjdzs/iwd3Lgt2f4DKeB4kdR4+YyXsb3M4OuiBfxi8ygi4VY6Efnvige
 xYeZ54kcT8O9DJpB70uPBq5L16VcGux/1IQG3SKxSNQTRPD/K2tfvqwtLbKa
 96RDOpjRoKNAQULj5o2wEX5GS8YZPIMbQNGa1hJewquYMq7+SiqkgjXgR1Gf
 euR8wdr4rlZoRS3pXduO7fhOyAV7AdBKsVLcIaEch1IloIHMkeo7EJ4fRXu6
 oyEavGjQZdNs+qfU920H62CJY56IwI+HH5xgJ9iX/Nl7UTSKDkvhBhApdVtl
 tX23l+wl34hwjzT0lDjQgRqwaebAHHiMPb/6V6hE1uZf4kW8cBODTgMacKBB
 lySSRBMx6DhwYPhcs0SWuEWajGqu5i4WLkjLVnkeBcTnGJaGpSgaNpD9fDWp
 JmvFrY4CKIDL2Ph7lVQllVCb5gJewI/BedPO7Cx53Jffuc/KrCyVNzvGC6IR
 GuEgzlgzmjH9P6fziL8P5twKVsG2c0/aiwGGE/wgybPoLPqP5IytxVrURmz+
 iDkayOzGbpwOlox5MA8ejQJRAOuPl0IpnEbnahuzsZSIP+ARc9T4+VF2lOl4
 79Sg7PeVP83nltJSeloautFP+kls2Jf9tQENze/FXowD05okSIKm5zsS5wf5
 Yr1YL86SVwUQcSDLrpPsJNvK+weDdsQPotRYbzxQ5/sWYiELResKNajBFdiZ
 lq2TxCQxRJyxjdiIC1570Rr+EfOvuCWjQBSIy8R7bOSdMejku/K6QV4aqObU
 LtgFB9F3dyRI125Zm7rOsXPs04hnr4gDNRkrSSXZLLq+j4EYGAyABI6av8hU
 queJAlIFyEJYz2et0ArzwHGZ6qlekOSuZtpMk0TwOJwqa8M0NVdzNx9cl8fz
 +B986qp1ZB25oE/8O1tki5t0rP5ninYmzIR2mLRlMkyG/rGGj7IxgWq+XpKz
 JMckLTtqFmaxeMyAgs11R9bOFeMb31u3XCwXBuqtTKSJtFOE9Hs7haZQu6AP
 jkhHpB05z1c2aMt86V7iJdHCmlJGy+h+aUCj4iruYxNVfQc0T1b7gzSRJhqI
 e2MraSVzRz3Qo4Ae378mXZPyafuPEwwQpPYHU2AK9KCr8gl7wmaHTDqBHx1z
 TWjCxfD4oxl0Bu2SAg5jZFUatp4MeccMuukwHboxlDbci+fx3M2CG76h+S8H
 VDtrFV1Fb0vDxR7mYW+FBvKkudGN8XDXWSgKxSXS7O8wTWuWwlIwYs22QiiE
 S4HW2pZ5kVwkRWPWYn0/PZWeSm/T4JbctIYjRwaBlnzOQlgIlkCW7P/wxUBK
 cWvOLcdy3Bk6bTcVy0es3lqBFbg98NFCqdFedZodLHIRF1ELZd6GxeWknOwU
 Bt02uo0el5SPJX35KlCBD9v2x0Ec9OIj23lynhQL3wEvejF6/Gn7TbHGBVVQ
 BZ/A4DI72CEF2s9Wq6pVhejt0wqtqKP5XYekQ9LOnP8NUChzbZffybjMREiE
 TvgX1thVBNsfkeAAAAAielRYdFNvZnR3YXJlAAB42isvL9fLzMsuTk4sSNXL
 L0oHADbYBlgQU8pcAAAAAElFTkSuQmCC

Package: libzeemote-conf-dev
Section: libdevel
Architecture: any
Depends: libzeemote-conf (= ${Source-Version})
Description: Development files for control panel for Zeemote
  This control panel allows you to configure and test
  your zeemote bluetooth joysticks.

## libzeemote-conf 1.0.1-maemo1

=== debian/changelog ===
libzeemote-conf (1.0.1-maemo1) unstable; urgency=low

  * Minor gui adjustments

 -- Till Harbaum <till@harbaum.org>  Fri, 08 May 2009 20:05:42 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
 Package: libzeemote-conf
 Architecture: any
 Depends: ${shlibs:Depends}
+Maemo-Display-Name: Zeemote Configuration
 Description: Control panel for Zeemote
   This control panel allows you to configure and test
   your zeemote bluetooth joysticks.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# shared library versions, option 1
version=1.0
major=1
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install

#	cp $(CURDIR)/debian/tmp/usr/lib/* $(CURDIR)/debian/zeemote1/usr/lib

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
#	dh_installexamples
	dh_install --sourcedir=debian/tmp
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## libzeemote-conf 1.0.1-maemo2

=== data/Makefile ===
#
# Copyright (C) 2009 Till Harbaum <till@harbaum.org>.
#
# This file is part of zeemote-conf.
#
# zeemote-conf is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# zeemote-conf is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with zeemote-conf.  If not, see <http://www.gnu.org/licenses/>.
#

APP = libzeemote-conf
PREFIX = /usr

all:

install:
	install -d $(DESTDIR)$(PREFIX)/share/applications/hildon-control-panel
	cp $(APP).desktop $(DESTDIR)$(PREFIX)/share/applications/hildon-control-panel
	for s in 40 26; do \
	install -d $(DESTDIR)$(PREFIX)/share/icons/hicolor/$${s}x$${s}/hildon ;\
	install -m 644 $(APP).$$s.png $(DESTDIR)$(PREFIX)/share/icons/hicolor/$${s}x$${s}/hildon/$(APP).png ;\
        done
	install -d $(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/hildon	
	install -m 644 $(APP).64.png $(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/hildon/$(APP).png


clean: 
	rm -f *~ *.bak

=== debian/changelog ===
libzeemote-conf (1.0.1-maemo2) unstable; urgency=low

  * Fremantle installer integration

 -- Till Harbaum <till@harbaum.org>  Thu, 15 Oct 2009 19:56:36 +0200

=== debian/control ===
Source: libzeemote-conf
Section: user/games
Priority: extra
Maintainer: Till Harbaum <Till@Harbaum.org>
Build-Depends: debhelper (>= 5), sharutils, maemo-version-dev, libgtk2.0-dev, libzeemote-dev, libhildon1-dev, libosso-dev, libgconf2-dev, libbluetooth2-dev | libbluetooth3-dev
Standards-Version: 3.7.2

Package: libzeemote-conf
Architecture: any
Depends: ${shlibs:Depends}
Description: Control panel for Zeemote
  This control panel allows you to configure and test
  your zeemote bluetooth joysticks.
XB-Maemo-Display-Name: Zeemote Control Panel
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABmJLR0QA/gD+
 AP7rGNSCAAAACXBIWXMAAABIAAAASABGyWs+AAAACXZwQWcAAAAwAAAAMADO
 7oxXAAAKv0lEQVRo3u2Ya3CT15nHf7pLlmT5gm1ZvtvYCINxCCEBB0iABJJQ
 km2ZbGgus+22u93JznTaZdM2vWSm3cxsO539srv9UJrspEk23U3SkG3iNDAh
 sEANhIAxvmLjuy1bsmTdpVd6L6cfbELcOCmlpOSD/zPvaHTOmef9/Z+j85xz
 BEta0pKWtKTrLqPZwpotd5HjNN9olD8m/aKtVd5drNl8iOVrN9xowGszABcB
 HcXlO2804LUZGO3rQcl2U1L1JSoaGj7Sr9PrcLgcOFwlOFxuHC7njTKg+9ie
 pk27aL7j10AQ/+h/Ew8P4sx3AtUYjCtYVlYJFM3HmGGk5wDdbT8m7I98NgwA
 NN+xmxW3PIXZ2gyY5ltjgI+wf5SsNASo5Jfcgtl6K0r2PY68fD/+0ZnPhgEA
 m8OG3VWMp64E32AEKREH4qSTSVRFzI+xsPkLj1Nc8RPC/hdofeYrV00wF78E
 T101kAeAkp1mrHeARDT05xu4WpmtBnZ/7VVsjvt4938a8A2OfuxYT52T/JKt
 eGp3kl+yyejM9a4uLzYXO+1oQnApEBYj08EppkdepuP//5XAeODTNwCwZst2
 1mx+h8D4S4z1vYhv8CixUBqHy4G7poniiq1UendYHc6NN1WVmretqmPHmnpu
 r/Fg1C+sJz3+EP/y+lFePdkxpfS89yXOHDz06RrIK3Kw7YvP1dbV7NnUUE37
 qE/tGhw9LaTUqDnHcXupu9h958oa846mem5fXoEnz4FpHlpRNRRNYDEZFgAp
 msbzpzr5+nNvxJNnjz5I+5GDCO265vyKWnZ/c8PTz2jBZFoIIUQiI4snX3tX
 /PTgSXF62CfSsiIW01goJv7uuVbx+f94WRzsHhbaImN+9X6v4LHvB3DXNF6/
 GbA5zJRUrsFTt4nS2rtMrvxtL/zjQ7aHbvZedYiMovLYs79BJFrJZYi3h6s4
 /fR/Up5nR1Y1RkMxrCYjpS47T7ce54e/an1PtD67lVgodTmG8arfZrYaKSh1
 U1zRQqV3p9GRu8XtLinf0FBl3bF6OVu91VQVuP6kHKiaYCIWYXthnMlgBF06
 xtBslBKnjR+/1capY/+L3pDDA7v2sm/nRlrb+245M9ryCG1v/OLqDXjqqqj0
 fpHSmnvJLbh504oqx91N9Wz1VnNThRunxfRHQ3ycrCYjf9uyjn97/Rgipcfp
 vo+bPEVMhBP8ru0AB3J+hiZ7ePiVBH9967/zz7vu0D80MPYEnSeeJR7WPtlA
 deNtbNj13bz8/F13Ny03fGH9Ku5ZXUee1XLNwB9WTMpiMRr4cksTayp+wnAo
 wtaGShxWE4mMjMNiBV0eaiyLqteRVVRuqy2nrrSofrC44nbi4eOLG8hxmtmy
 559c1fU/eHzHxpx/uHMdFXm5KNr1Wf0ZReXnx85z4Fwf1YV5fG/3JtZVFrO2
 vBhNQEYROG0WPr/rUf7m//SoORJ7HngUSVZBwNracgYrvdsYvPAxBrbseaqi
 senJt/Y9pve6C+maDHFyoI+4JAOQl2Oh0VOIt7QAve5PrwEd4zPsb+tk57p1
 HB6c4KnfHGP/o7sQCPzRJIFokhKXg60N1bR889toQqBpglhaQtE0GooKwGhe
 cTneQgNNm+7zNDQ+cfg7X9bnWS08e6yTI33DdPr8BFMSmqZRbM9hfU05n2uq
 597mWuzmT15G4vIjmM+wisvhQKc3kDSamY7FSWZkLk4F+carh+iV0lSbzfx8
 773k22zIqoqiasiqhqoJUnOFs/SjBoxmHatanvr2X91pdjsd/NfxC7xwugOh
 Cmry8ylzqkTTEsFUml+f7WJiNkKe3caWFWWYDfoFwADaPLQqQNMEmhComqC2
 uIAqp4U3z3cyG4vzjR3rSGSyHOoZorBsGeUuO319Q7zW3see5pWomkAI8UEi
 pkJRmDtQ/oGBKu/ykuLC2/auX8WJgQle7+jDabJQXpRLWb6TVeXL2H+0HavR
 iN1i5djAKN72XmqKXNQW5SKYy/CVZw5Y0+Z2WVUTqJqGJgQ/uv9OeqaD2ExG
 3Ll2IkmJUpeDzqFRZjUFpAxOsxlZXbju4lKG3qkZgKHLbVdSV1SxbWN9JTaj
 kXOjfsaCEaoL89Hr9Hg9hWxvrObmKjd2swm9DkwmE6+d62Y8HCetCDKKQJI1
 0rJKKiuTzMgkM1nikkxCyhJLZ4imJKJJiXg6g9thx240Ek5IxNJZVnuKeaSi
 lMbpWR6uqODulXUL4FUhODnqYyQQhMD4wY/OgDP/pvU15YQSEr3+IO5cJ5om
 0Ovhd/0TvHl+gOlogic/10Ke3ca+V96hc3wKfzRBXMpi1OtRNA1VFSiaijL/
 KSsaijb3G1YUFUXTUFSBpCjodboPDnGqgPvXrOSB5pXA3PnoA3hNcHZimuP9
 I8Rmw710n3xnsUVcVr3MhaxqZKQMeoMBTWh8dctajvaOMjwTJquqtI/5SSsK
 /f5ZQIesqaSzCghxBVTVFi4+VaAKQTSdwReLMxVLEkymyTGb8BYXUF3gwqDT
 oS5SqkOpNOcmAnRO+jnXP5yhu+1bKFllMQNOq82KyWjA4cghPBXk1ko3ICjK
 zSGlyBQ4bLzRMcBAMIwQAj1QYM8hKWXJXgaez7iqCRKZLMFkGl8swVQsQVyS
 iaQlAtEYvmCYUCKFt7yExvJSKvNyKbBbsRgNCAGprMxUPEkomeZSIMiZnksZ
 pePEE3SeePPDBj9sIBaKJnEut7C2rISDFy5yemiSU0OTCCHYvqqGfffcxt79
 r9M/MwtAvbuQ8nwnkZSErGhkFJWolGEyOgccSWeIShLBeJKpUISJYFhLpZIh
 NRa5QGD8t6QTvrPB5se7hyfWe5blW5bluci3W9Hr9GQUhWAswXggpEVCoQFx
 8ew+2o/89g9n6MMGRvqnQ2gCGj1F7FhVz9tdAxTm5CCrKi+e6qTAaePs6BQA
 mWyWr9+9cQ5cVunxh+j1h0hmZYLJFFOhCL7ZCKFoXJMz2V58g+8Q9h9kvP8s
 wckrN6ze0y9LJZW3DHnq7hoqrd2IzVEG2IAogfEewv63ufj+W8RC8cX2mStb
 afMdj2x88LEXf/n3D6KoGsOBCAfO9/LKma65ej5f2zVVxW428q37NrO7aQX+
 2Nw0P/9+F10jE0yGImTT0gjByVNEZg4z1ncQ3+A4n5KuzMBY39vtw5NS54Tf
 WubKxWk18/D6JrZ6a3i3d5DBwCwmg4HG8mLub15Bkd1OIJYkmZE5NjTOia5+
 Eb7YuZ9L53/JzHgvyXgUoYk/g+2qtPAw88DjL27b3PLId+7ZgkE/12XQ67Ga
 DJhNRgw6HYqqkc7KZBSVlKxw9NIYh7r76ezoOsPhl7YTmYlfC8i1yrDgWzre
 OWYp3KuazPYVJYWYDAaEEMiqhpRVSGVlJFlBUQW+WIIjl8Y4PjBMR/+In/Yj
 u5m8NPWXhP+ogWhwVjgLfb0pcW9cEyaryYTZaECnm9tMMorKZDTB+xN+2icD
 tPUP0X1pZIKzhx+i7732vzQ8LHacPtX6kmIw6lo1bX/fpN+2uqqMInsOer0O
 SVaQFIXhmVl6RyaI+qfbuHD8awyc67oR8PBJl/pKr5fGDd9lWdkOqz2nJNdq
 Ji0rxJOpNLHwOaaGn6G77fnLV7vPngGY+xfa7iyktrkWcAMxAuNDzE5Nk5Wy
 NxJ8SUta0pKWdF30e/hPcSOXiNPIAAAAJXRFWHRjcmVhdGUtZGF0ZQAyMDA5
 LTEwLTE0VDIwOjQwOjUwKzAyOjAwqfQhXAAAACV0RVh0bW9kaWZ5LWRhdGUA
 MjAwOS0xMC0xNFQyMDozOTo1NSswMjowMHFTRoYAAAAASUVORK5CYII=

## libzeemote-conf 1.0.1-maemo3

=== debian/changelog ===
libzeemote-conf (1.0.1-maemo3) unstable; urgency=low

  * Icon size fix

 -- Till Harbaum <till@harbaum.org>  Thu, 15 Oct 2009 20:37:35 +0200

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
 Package: libzeemote-conf
 Architecture: any
 Depends: ${shlibs:Depends}
-Description: Control panel for Zeemote
+Description: Configuration of Bluetooth game controllers
   This control panel allows you to configure and test
-  your zeemote bluetooth joysticks.
+  your zeemote bluetooth game controllers.
 XB-Maemo-Display-Name: Zeemote Control Panel
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABmJLR0QA/gD+

## libzeemote-conf 1.0.1-maemo4

=== src/Makefile ===
--- 
+++ 
@@ -19,8 +19,9 @@
 
 APP = zeemote-conf
 PREFIX = /usr
+MAEMO_VERSION_MAJOR = `pkg-config --modversion maemo-version | cut -b1 -`
 PKGS = gtk+-2.0 gconf-2.0 bluez gthread-2.0 hildon-1
-CFLAGS = -DHILDON -I../include `pkg-config --cflags $(PKGS)` -DAPP=\"$(APP)\" -O2
+CFLAGS = -DHILDON -I../include `pkg-config --cflags $(PKGS)` -DMAEMO_VERSION_MAJOR=$(MAEMO_VERSION_MAJOR) -DAPP=\"$(APP)\" -O2
 LDFLAGS = `pkg-config --libs $(PKGS)` -L../lib -lzeemote-conf -lzeemote -pthread 
 OBJS = $(APP).o

=== debian/changelog ===
libzeemote-conf (1.0.1-maemo4) unstable; urgency=low

  * Re-enabled -dev package creation

 -- Till Harbaum <till@harbaum.org>  Mon, 08 Mar 2010 11:47:34 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,16 @@
 Build-Depends: debhelper (>= 5), sharutils, maemo-version-dev, libgtk2.0-dev, libzeemote-dev, libhildon1-dev, libosso-dev, libgconf2-dev, libbluetooth2-dev | libbluetooth3-dev
 Standards-Version: 3.7.2
 
+Package: libzeemote-conf-dev
+Section: libdevel
+Architecture: any
+Depends: libzeemote (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
+Description: Development files for configuration of Bluetooth game controllers
+  This library allows you to access the Bluetooth game controller 
+  configuration from your software.
+
 Package: libzeemote-conf
+Section: user/games
 Architecture: any
 Depends: ${shlibs:Depends}
 Description: Configuration of Bluetooth game controllers

## libzeemote-conf 1.0.1-maemo5

=== debian/changelog ===
libzeemote-conf (1.0.1-maemo5) unstable; urgency=low

  * Seperated client conf package

 -- Till Harbaum <till@harbaum.org>  Fri, 12 Mar 2010 17:14:31 +0100

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,17 @@
 Package: libzeemote-conf-dev
 Section: libdevel
 Architecture: any
-Depends: libzeemote (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libzeemote-conf (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Development files for configuration of Bluetooth game controllers
-  This library allows you to access the Bluetooth game controller 
-  configuration from your software.
+  Development files required to access the Bluetooth game controller 
+  configuration.
+
+Package: libzeemote-conf-client
+Section: libdevel
+Architecture: any
+Depends: ${shlibs:Depends}
+Description: Client lib to access gconf entries created by libzeemote-conf
+  Library allows you to access the Bluetooth game controller configuration.
 
 Package: libzeemote-conf
 Section: user/games

## libzeemote-conf 1.0.1-maemo6

=== Makefile ===
--- 
+++ 
@@ -18,6 +18,7 @@
 #
 
 all:
+	cd debian && ./update_icon.sh
 	cd lib && make
 	cd src && make	
 	cd data && make

=== data/Makefile ===
--- 
+++ 
@@ -30,7 +30,7 @@
 	install -m 644 $(APP).$$s.png $(DESTDIR)$(PREFIX)/share/icons/hicolor/$${s}x$${s}/hildon/$(APP).png ;\
         done
 	install -d $(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/hildon	
-	install -m 644 $(APP).64.png $(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/hildon/$(APP).png
+	install -m 644 $(APP).48.png $(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/hildon/$(APP).png
 
 
 clean:

=== debian/changelog ===
libzeemote-conf (1.0.1-maemo6) unstable; urgency=low

  * libzeemote-conf-dev now depends on libzeemote-conf-client rather than libzeemote-conf

 -- Till Harbaum <till@harbaum.org>  Fri, 12 Mar 2010 17:25:55 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: libzeemote-conf-dev
 Section: libdevel
 Architecture: any
-Depends: libzeemote-conf (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libzeemote-conf-client (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Development files for configuration of Bluetooth game controllers
   Development files required to access the Bluetooth game controller 
   configuration.

## libzeemote-conf 1.0.1-maemo7

=== debian/changelog ===
libzeemote-conf (1.0.1-maemo7) unstable; urgency=low

  * Added bug tracker link

 -- Till Harbaum <till@harbaum.org>  Mon, 22 Mar 2010 19:38:21 +0100

=== debian/control ===
--- 
+++ 
@@ -27,6 +27,7 @@
 Description: Configuration of Bluetooth game controllers
   This control panel allows you to configure and test
   your zeemote bluetooth game controllers.
+XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=963
 XB-Maemo-Display-Name: Zeemote Control Panel
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABmJLR0QA/gD+
